Subject: Error loading DLL. Please help.
From: [email-masked] (Michael Cherkassoff)

22 Oct 1997 20:30:34 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I am trying to load .DLL with the following program:
----------- main.c ----------------
#include <windows.h>

int main()
{
    HINSTANCE hDLL;
      
    hDLL = LoadLibrary("libfoo.dll");
    if (hDLL == NULL)
      {
      unsigned int errorCode;
      printf("Error");
      errorCode = GetLastError();
      printf (" code is %d\n",errorCode);
      }
    else printf ("Success\n");
}
--------------------------------------------------

I get the message:

Error code is 0

if libfoo.dll is relocatable and

Error code is 11

if libfoo.dll is non-relocatable.

I create my libfoo.dll using Fergus' Henderson Makefile.DLLs
and it works perfectly for both relocatable and non-relocatable
examples of calling functions (not loading libraries).

Any ideas why loading libraries doesn't work and how to
make it work?

(I care mostly about the relocatable libraries)

I am using b18 with the most recent Coolview.

Thanks,
Michael.
------------------------------------------------------------
Michael Cherkassoff  ([email-masked])
Department of Geography,                 Tel: (604) 822-2663
University of British Columbia, B.C.     Fax: (604) 822-6150
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".